component-section(datetimestart='2021-11-16T19:45' minutesneeded='105' istopmost='true')
  div(slot='title') Programmeertaalconcepten
  p.bron
    a(href='#sec_4.3.3') Lists/lijsten
  p.bron
    a(href='#sec_4.7') Generic programming
  // TODO: ranges.
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["ontwikkeling-generics"]')
        | Je programmeert met behulp van generics.
      component-intendedlearningoutcome(codes='["ontwikkeling-iterators"]')
        | Je programmeert met behulp van iterators.
      component-intendedlearningoutcome(codes='["ontwikkeling-ranges"]')
        | Je programmeert met behulp van ranges.
  component-section(datetimestart='2021-11-16T19:45' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-11-16T19:50' minutesneeded='30')
    div(slot='title') Generic programming
    ul
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/generic-programming') Voorbeeld van generic programming in Java
          | .
      li
        p Uitleg van student over haar of zijn programmeertaal.
  component-section(datetimestart='2021-11-16T20:20' minutesneeded='15')
    div(slot='title') Iterators
    ul
      li
        // TODO:
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/generic-programming')
            | Voorbeeld van iterators versus streams in Java met 
            code.lang-java Stream
          | .
      li
        p Uitleg van student over haar of zijn programmeertaal.
  component-section(datetimestart='2021-11-16T20:35' minutesneeded='10')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2021-11-16T20:45' minutesneeded='35')
    div(slot='title') Ranges
    ul
      li
        // TODO:
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/generic-programming')
            | Voorbeeld van ranges in Java met 
            code.lang-java Stream
          | .
      li
        p Uitleg van student over haar of zijn programmeertaal.
  component-section(datetimestart='2021-11-16T21:20' minutesneeded='10')
    div(slot='title') Afronding
